package com.fp.armas.portal.model;

import java.io.Serializable;
import java.sql.Timestamp;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.persistence.Version;


/**
 * The persistent class for the TCUSTPERSONDETAIL database table.
 * 
 */
@Entity
public class Tcustpersondetail implements Serializable {
	private static final long serialVersionUID = 1L;

	@EmbeddedId
	private TcustpersondetailPK id;
	
	@Column
	private String activitycode;

	private Long branchcode;

	private String clienttypecatalog;

	private String clienttypecatalogcode;

	private Long companycode;

	@Temporal(TemporalType.DATE)
	private Date dateexpidentification;

	private Timestamp datefrom;

	private String economicsectorcatalog;

	private String economicsectorcatalogcode;

	private String identification;

	private String identificationcatalog;

	private String identificationcatalogcode;

	private String innerscore;

	private String ismigrated;

	private String languagecode;

	private String name;

	private String nickname;

	private Long officecode;

	private String parthnernumber;

	private String persontypecatalog;

	private String persontypecatalogcode;
	
	@Version
	private Long recordversion;
	
	private String ingressuser;
	
	private String modifyuser;

	@Temporal(TemporalType.DATE)
	private Date registerdate;

	private String sbsemployee;

	private String sbsusercode;

	private String taxexempt;
	
	private String legalrepresent;
	
	private String legalrepresentidentification;
	
	@Column(name="ECONIMICACT", nullable=true)

	private String econimicact;
	
	//bi-directional many-to-one association to Tcustperson
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name="ACTIVITYCODE", insertable=false, updatable=false)
	private Tgeneactivity tgeneactivity;

	//bi-directional many-to-one association to Tcustperson
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name="PERSONCODE", updatable=false, insertable=false)
	private Tcustperson tcustperson;

	//bi-directional many-to-one association to Tsafeuser
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name="INGRESSUSER", insertable=false, updatable=false)
	private Tsafeuser tsafeuser1;

	//bi-directional many-to-one association to Tsafeuser
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name="MODIFYUSER", insertable=false, updatable=false)
	private Tsafeuser tsafeuser2;

	public Tcustpersondetail() {
	}

	public TcustpersondetailPK getId() {
		return this.id;
	}

	public void setId(TcustpersondetailPK id) {
		this.id = id;
	}

	public Long getBranchcode() {
		return this.branchcode;
	}

	public void setBranchcode(Long branchcode) {
		this.branchcode = branchcode;
	}

	public String getClienttypecatalog() {
		return this.clienttypecatalog;
	}

	public void setClienttypecatalog(String clienttypecatalog) {
		this.clienttypecatalog = clienttypecatalog;
	}

	public String getClienttypecatalogcode() {
		return this.clienttypecatalogcode;
	}

	public void setClienttypecatalogcode(String clienttypecatalogcode) {
		this.clienttypecatalogcode = clienttypecatalogcode;
	}

	public Long getCompanycode() {
		return this.companycode;
	}

	public void setCompanycode(Long companycode) {
		this.companycode = companycode;
	}

	public Date getDateexpidentification() {
		return this.dateexpidentification;
	}

	public void setDateexpidentification(Date dateexpidentification) {
		this.dateexpidentification = dateexpidentification;
	}

	public Timestamp getDatefrom() {
		return this.datefrom;
	}

	public void setDatefrom(Timestamp datefrom) {
		this.datefrom = datefrom;
	}

	public String getEconomicsectorcatalog() {
		return this.economicsectorcatalog;
	}

	public void setEconomicsectorcatalog(String economicsectorcatalog) {
		this.economicsectorcatalog = economicsectorcatalog;
	}

	public String getEconomicsectorcatalogcode() {
		return this.economicsectorcatalogcode;
	}

	public void setEconomicsectorcatalogcode(String economicsectorcatalogcode) {
		this.economicsectorcatalogcode = economicsectorcatalogcode;
	}

	public String getIdentification() {
		return this.identification;
	}

	public void setIdentification(String identification) {
		this.identification = identification;
	}

	public String getIdentificationcatalog() {
		return this.identificationcatalog;
	}

	public void setIdentificationcatalog(String identificationcatalog) {
		this.identificationcatalog = identificationcatalog;
	}

	public String getIdentificationcatalogcode() {
		return this.identificationcatalogcode;
	}

	public void setIdentificationcatalogcode(String identificationcatalogcode) {
		this.identificationcatalogcode = identificationcatalogcode;
	}

	public String getInnerscore() {
		return this.innerscore;
	}

	public void setInnerscore(String innerscore) {
		this.innerscore = innerscore;
	}

	public String getIsmigrated() {
		return this.ismigrated;
	}

	public void setIsmigrated(String ismigrated) {
		this.ismigrated = ismigrated;
	}

	public String getLanguagecode() {
		return this.languagecode;
	}

	public void setLanguagecode(String languagecode) {
		this.languagecode = languagecode;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getNickname() {
		return this.nickname;
	}

	public void setNickname(String nickname) {
		this.nickname = nickname;
	}

	public Long getOfficecode() {
		return this.officecode;
	}

	public void setOfficecode(Long officecode) {
		this.officecode = officecode;
	}

	public String getParthnernumber() {
		return this.parthnernumber;
	}

	public void setParthnernumber(String parthnernumber) {
		this.parthnernumber = parthnernumber;
	}

	public String getPersontypecatalog() {
		return this.persontypecatalog;
	}

	public void setPersontypecatalog(String persontypecatalog) {
		this.persontypecatalog = persontypecatalog;
	}

	public String getPersontypecatalogcode() {
		return this.persontypecatalogcode;
	}

	public void setPersontypecatalogcode(String persontypecatalogcode) {
		this.persontypecatalogcode = persontypecatalogcode;
	}

	public Long getRecordversion() {
		return this.recordversion;
	}

	public void setRecordversion(Long recordversion) {
		this.recordversion = recordversion;
	}

	public Date getRegisterdate() {
		return this.registerdate;
	}

	public void setRegisterdate(Date registerdate) {
		this.registerdate = registerdate;
	}

	public String getSbsemployee() {
		return this.sbsemployee;
	}

	public void setSbsemployee(String sbsemployee) {
		this.sbsemployee = sbsemployee;
	}

	public String getSbsusercode() {
		return this.sbsusercode;
	}

	public void setSbsusercode(String sbsusercode) {
		this.sbsusercode = sbsusercode;
	}

	public String getTaxexempt() {
		return this.taxexempt;
	}

	public void setTaxexempt(String taxexempt) {
		this.taxexempt = taxexempt;
	}

	public Tcustperson getTcustperson() {
		return this.tcustperson;
	}

	public void setTcustperson(Tcustperson tcustperson) {
		this.tcustperson = tcustperson;
	}

	public Tsafeuser getTsafeuser1() {
		return this.tsafeuser1;
	}

	public void setTsafeuser1(Tsafeuser tsafeuser1) {
		this.tsafeuser1 = tsafeuser1;
	}

	public Tsafeuser getTsafeuser2() {
		return this.tsafeuser2;
	}

	public void setTsafeuser2(Tsafeuser tsafeuser2) {
		this.tsafeuser2 = tsafeuser2;
	}

	public Tgeneactivity getTgeneactivity() {
		return tgeneactivity;
	}

	public void setTgeneactivity(Tgeneactivity tgeneactivity) {
		this.tgeneactivity = tgeneactivity;
	}

	public String getActivitycode() {
		return activitycode;
	}

	public void setActivitycode(String activitycode) {
		this.activitycode = activitycode;
	}

	public String getIngressuser() {
		return ingressuser;
	}

	public void setIngressuser(String ingressuser) {
		this.ingressuser = ingressuser;
	}

	public String getModifyuser() {
		return modifyuser;
	}

	public void setModifyuser(String modifyuser) {
		this.modifyuser = modifyuser;
	}

	public String getLegalrepresent() {
		return legalrepresent;
	}

	public void setLegalrepresent(String legalrepresent) {
		this.legalrepresent = legalrepresent;
	}

	public String getLegalrepresentidentification() {
		return legalrepresentidentification;
	}

	public void setLegalrepresentidentification(String legalrepresentidentification) {
		this.legalrepresentidentification = legalrepresentidentification;
	}

	public String getEconimicact() {
		return econimicact;
	}

	public void setEconimicact(String econimicact) {
		this.econimicact = econimicact;
	}

}